Name:          jsslutils
Version:       1.0.7
Release:       3%{?dist}
Summary:       Java SSL utilities
# Although the main project is licensed under the New BSD Licence,
# some sub-modules in the extra directory may be under a different licence (APL, LGPL)
# Public Domain see certificates/LICENSE.txt
License:       ASL 2.0 and BSD and LGPLv2+ and Public Domain
URL:           http://code.google.com/p/jsslutils/
# svn export http://jsslutils.googlecode.com/svn/tags/jsslutils-root-1.0.7/ jsslutils-1.0.7
# rm -rf jsslutils-1.0.7/javadoc/*
# rm -rf jsslutils-1.0.7/.gitignore
# find jsslutils-1.0.7/ -name '*.class' -print -delete
# find jsslutils-1.0.7/ -name '*.jar' -print -delete
# tar cJf jsslutils-1.0.7.tar.xz jsslutils-1.0.7
Source0:       %{name}-%{version}.tar.xz

BuildRequires: java-devel

BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk16)

BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-remote-resources-plugin

BuildArch:     noarch

%description
This project aims to provide a set of utilities regarding the
use of SSL in Java.

%package test-certificates
Summary:       jSSLutils :: Test certificates

%description test-certificates
These are a few test keys and certificates (password is
'testtest').

%package test-helpers
Summary:       jSSLutils :: Test Helpers

%description test-helpers
Helper classes for some of the tests.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

# org.jsslutils:jsslutils-test-certificates:2.0.5
%pom_disable_module extra/gsi
# commons-httpclient:commons-httpclient:3.1
%pom_disable_module extra/apachehttpclient

%pom_disable_module extra/apachetomcat5
%pom_disable_module extra/apachetomcat6

%pom_remove_plugin :findbugs-maven-plugin %{name}
%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'org.bouncycastle' ]/pom:artifactId" bcprov-jdk16 %{name}
#%%pom_xpath_set "pom:project/pom:dependencies/pom:dependency[pom:groupId = 'org.bouncycastle' ]/pom:artifactId" bcprov-jdk16 extra/gsi

# java.lang.ClassCastException: org.jsslutils.sslcontext.test.PKIXReloadCrlTest$1$1$1 cannot be cast to javax.net.ssl.HttpsURLConnection
rm -r jsslutils/src/test/java/org/jsslutils/sslcontext/test/DefaultStoreTest.java
# InterruptedException: sleep interrupted
rm -r jsslutils/src/test/java/org/jsslutils/sslcontext/test/PKIXReloadCrlTest.java

%build

%mvn_package :%{name}-root %{name}
%mvn_build -s -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles-%{name}
%dir %{_javadir}/%{name}
%doc jsslutils/LICENSE.txt

%files test-certificates -f .mfiles-%{name}-test-certificates
%doc certificates/LICENSE.txt

%files test-helpers -f .mfiles-%{name}-test-helpers
%doc testhelpers/LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc jsslutils/LICENSE.txt

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.0.7-2
- Rebuild to regenerate broken POMs
- Related: rhbz#1021484

* Fri Oct 18 2013 gil cattaneo <puntogil@libero.it> 1.0.7-1
- update to 1.0.7

* Thu Aug 29 2013 gil cattaneo <puntogil@libero.it> 1.0.5-1
- initial rpm
